onEvent('recipes', event => {
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:avocadoitem", "pamhc2trees:avocadoitem",
        "pamhc2trees:avocadoitem", "pamhc2trees:avocadoitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:candlenutitem", "pamhc2trees:candlenutitem",
        "pamhc2trees:candlenutitem", "pamhc2trees:candlenutitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:cherryitem", "pamhc2trees:cherryitem",
        "pamhc2trees:cherryitem", "pamhc2trees:cherryitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:chestnutitem", "pamhc2trees:chestnutitem",
        "pamhc2trees:chestnutitem", "pamhc2trees:chestnutitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:gooseberryitem", "pamhc2trees:gooseberryitem",
        "pamhc2trees:gooseberryitem", "pamhc2trees:gooseberryitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:lemonitem", "pamhc2trees:lemonitem",
        "pamhc2trees:lemonitem", "pamhc2trees:lemonitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:nutmegitem", "pamhc2trees:nutmegitem",
        "pamhc2trees:nutmegitem", "pamhc2trees:nutmegitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:orangeitem", "pamhc2trees:orangeitem",
        "pamhc2trees:orangeitem", "pamhc2trees:orangeitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:peachitem", "pamhc2trees:peachitem",
        "pamhc2trees:peachitem", "pamhc2trees:peachitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:pearitem", "pamhc2trees:pearitem",
        "pamhc2trees:pearitem", "pamhc2trees:pearitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:plumitem", "pamhc2trees:plumitem",
        "pamhc2trees:plumitem", "pamhc2trees:plumitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:walnutitem", "pamhc2trees:walnutitem",
        "pamhc2trees:walnutitem", "pamhc2trees:walnutitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:hazelnutitem", "pamhc2trees:hazelnutitem",
        "pamhc2trees:hazelnutitem", "pamhc2trees:hazelnutitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:pawpawitem", "pamhc2trees:pawpawitem",
        "pamhc2trees:pawpawitem", "pamhc2trees:pawpawitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:soursopitem", "pamhc2trees:soursopitem",
        "pamhc2trees:soursopitem", "pamhc2trees:soursopitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:almonditem", "pamhc2trees:almonditem",
        "pamhc2trees:almonditem", "pamhc2trees:almonditem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:apricotitem", "pamhc2trees:apricotitem",
        "pamhc2trees:apricotitem", "pamhc2trees:apricotitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:bananaitem", "pamhc2trees:bananaitem",
        "pamhc2trees:bananaitem", "pamhc2trees:bananaitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:cashewitem", "pamhc2trees:cashewitem",
        "pamhc2trees:cashewitem", "pamhc2trees:cashewitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:cinnamonitem", "pamhc2trees:cinnamonitem",
        "pamhc2trees:cinnamonitem", "pamhc2trees:cinnamonitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:coconutitem", "pamhc2trees:coconutitem",
        "pamhc2trees:coconutitem", "pamhc2trees:coconutitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:dateitem", "pamhc2trees:dateitem",
        "pamhc2trees:dateitem", "pamhc2trees:dateitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:dragonfruititem", "pamhc2trees:dragonfruititem",
        "pamhc2trees:dragonfruititem", "pamhc2trees:dragonfruititem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:durianitem", "pamhc2trees:durianitem",
        "pamhc2trees:durianitem", "pamhc2trees:durianitem"])
    event.shapeless("minecraft:emerald",
        ["pamhc2trees:figitem", "pamhc2trees:figitem",
            "pamhc2trees:figitem", "pamhc2trees:figitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:grapefruititem", "pamhc2trees:grapefruititem",
        "pamhc2trees:grapefruititem", "pamhc2trees:grapefruititem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:limeitem", "pamhc2trees:limeitem",
        "pamhc2trees:limeitem", "pamhc2trees:limeitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:mangoitem", "pamhc2trees:mangoitem",
        "pamhc2trees:mangoitem", "pamhc2trees:mangoitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:oliveitem", "pamhc2trees:oliveitem",
        "pamhc2trees:oliveitem", "pamhc2trees:oliveitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:papayaitem", "pamhc2trees:papayaitem",
        "pamhc2trees:papayaitem", "pamhc2trees:papayaitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:pecanitem", "pamhc2trees:pecanitem",
        "pamhc2trees:pecanitem", "pamhc2trees:pecanitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:peppercornitem", "pamhc2trees:peppercornitem",
        "pamhc2trees:peppercornitem", "pamhc2trees:peppercornitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:persimmonitem", "pamhc2trees:persimmonitem",
        "pamhc2trees:persimmonitem", "pamhc2trees:persimmonitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:pistachioitem", "pamhc2trees:pistachioitem",
        "pamhc2trees:pistachioitem", "pamhc2trees:pistachioitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:pomegranateitem", "pamhc2trees:pomegranateitem",
        "pamhc2trees:pomegranateitem", "pamhc2trees:pomegranateitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:starfruititem", "pamhc2trees:starfruititem",
        "pamhc2trees:starfruititem", "pamhc2trees:starfruititem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:vanillabeanitem", "pamhc2trees:vanillabeanitem",
        "pamhc2trees:vanillabeanitem", "pamhc2trees:vanillabeanitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:breadfruititem", "pamhc2trees:breadfruititem",
        "pamhc2trees:breadfruititem", "pamhc2trees:breadfruititem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:guavaitem", "pamhc2trees:guavaitem",
        "pamhc2trees:guavaitem", "pamhc2trees:guavaitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:jackfruititem", "pamhc2trees:jackfruititem",
        "pamhc2trees:jackfruititem", "pamhc2trees:jackfruititem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:lycheeitem", "pamhc2trees:lycheeitem",
        "pamhc2trees:lycheeitem", "pamhc2trees:lycheeitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:passionfruititem", "pamhc2trees:passionfruititem",
        "pamhc2trees:passionfruititem", "pamhc2trees:passionfruititem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:rambutanitem", "pamhc2trees:rambutanitem",
        "pamhc2trees:rambutanitem", "pamhc2trees:rambutanitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:tamarinditem", "pamhc2trees:tamarinditem",
        "pamhc2trees:tamarinditem", "pamhc2trees:tamarinditem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:maplesyrupitem", "pamhc2trees:maplesyrupitem",
        "pamhc2trees:maplesyrupitem", "pamhc2trees:maplesyrupitem"])
    event.shapeless("minecraft:emerald", [
        "pamhc2trees:pinenutitem", "pamhc2trees:pinenutitem",
        "pamhc2trees:pinenutitem", "pamhc2trees:pinenutitem"])
})